export declare const ZvCommonsEcharts: import("../../utils/typescript").SFCWithInstall<import("vue").DefineComponent<{
    basicOption: {
        type: any;
        required: true;
    };
    sources: {
        type: any;
        required: true;
    };
    useEvents: {
        type: ArrayConstructor;
        required: true;
    };
}, {
    props: any;
    iframeRef: import("vue").Ref<HTMLCanvasElement>;
    renderingComponent: import("vue").Ref<{
        _iframe: HTMLElement;
        fastEval(code: string): void;
        loadScriptAsync(url: string): Promise<void>;
        compileAndRunAsync(code: string): Promise<void>;
    }>;
    initEcharts: (code: string) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    basicOption: {
        type: any;
        required: true;
    };
    sources: {
        type: any;
        required: true;
    };
    useEvents: {
        type: ArrayConstructor;
        required: true;
    };
}>>, {}, {}>> & Record<string, any>;
export default ZvCommonsEcharts;
